<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s", time()); 

$today = date("Y-m-d");

$table_name = $_SESSION['db_prefix']."_direct_return";
$direct_return_query = "SELECT direct_return_no  FROM $table_name ORDER BY direct_return_no DESC LIMIT 1  ";
$direct_return_result = mySQL_query($direct_return_query);
$direct_return_num = mysql_num_rows($direct_return_result);
if ($direct_return_num!=0) {
$direct_return_no = mysql_result($direct_return_result, 0, "direct_return_no");
}
else {
	$direct_return_no=0;
}
$direct_return_no=$direct_return_no+1; 


$table_name = $_SESSION['db_prefix']."_direct_return";
$supply_query = "INSERT INTO $table_name (direct_return_no, return_from, return_date,  returned_by, authorised_by ) VALUES ( '".$direct_return_no."', '".$_SESSION['return_from']."', '".$_SESSION['return_date']."',  '".$_SESSION['emp_name']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_direct_return";
$direct_id_query = "SELECT direct_return_id  FROM $table_name ORDER BY direct_return_id DESC LIMIT 1  ";
$direct_id_result = mySQL_query($direct_id_query);
$direct_return_id = mysql_result($direct_id_result, 0, "direct_return_id");

	

$table_name3 = $_SESSION['db_prefix']."_direct_return_lines_temp";
$items_query = "SELECT * FROM $table_name3 WHERE  user_name =  '".$_SESSION['username']."' ";
$items_result = mySQL_query($items_query);
$items_num = mysql_num_rows($items_result);

$i=0;
while ($i<$items_num) {
   $store_item_id = mysql_result($items_result, $i, "store_item_id");
   $quantity = mysql_result($items_result, $i, "quantity");
   $price = mysql_result($items_result, $i, "price");
   $to_return = mysql_result($items_result, $i, "to_return");
   $store_reg_id = mysql_result($items_result, $i, "store_reg_id");
   
      
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT item_name, quantity, register FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $item_name = mysql_result($stock_total_result ,0, "item_name");
   $register = mysql_result($stock_total_result ,0, "register");

   $table_name4 = $_SESSION['db_prefix']."_direct_return_lines";  
   $return_item_query = "INSERT INTO $table_name4 (direct_return_no, direct_return_id, store_item_id, item_name, quantity, price, return_date ) VALUES ('".$direct_return_no."', '".$direct_return_id."', '".$store_item_id."', '".$item_name."', '-".$quantity."', '".$price."', '".$_SESSION['return_date']."' ) ";
   execsql($return_item_query);



   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT quantity FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $total_quantity = $total_quantity + $quantity;
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['return_date']."' WHERE store_item_id = '".$store_item_id."'";
   $stockResult = mySQL_query($stockQuery);
   

$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$store_item_id."', '50', '".$direct_return_no."','".$direct_return_id."', '".$_SESSION['return_from']."', '".$quantity."', '".$total_quantity."', '".$price."', '".$_SESSION['return_date']."','".$entry_date."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);


$i++;
}
	
$table_name = $_SESSION['db_prefix']."_tracking_store";
$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entry_date."' ,'".$_SESSION['username']."', '192', '".$direct_return_id."', '".$_SESSION['return_from']."' ,'','' )";
$trackingResult = mySQL_query($trackingQuery);	


$table_name = $_SESSION['db_prefix']."_direct_return_lines_temp";
$delete2_query = "DELETE FROM $table_name WHERE  user_name =  '".$_SESSION['username']."' "; 
execsql($delete2_query);

	
	if (isset($_GET['new_button']) )
	   {
		 $action='direct_returnWiz0.php';
	   }
		 
	if (isset($_GET['finish_button']) )
	  {
		$action='direct_return.php?direct_return_no='.$direct_return_no;
	  }
	
 	 $_SESSION['return_from'] = '';	
	 $_SESSION['additional_note'] = '';	
     $_SESSION['return_date']  = date("Y-m-d");
	 
	 $_SESSION['emp_id'] = '';
	 $_SESSION['emp_name'] = '';
	 	 
	 $_SESSION['authorised_by' ]= '';
	 $_SESSION['returned_by'] = '';
	 
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';
	 
	 $_SESSION['purchase_line_id'] = '';
	 $_SESSION['sup_name'] = '';
	 $_SESSION['total'] = '';
	 
	 $_SESSION['value'] = '';
	 
?>

<script language="javascript" type="text/javascript">
        
		  window.location="<?php echo $action?>";
        
       </script>

